<?xml version="1.0" encoding="utf-8"?>
<object xmlns:i18n="http://xml.zope.org/namespaces/i18n"
        meta_type="Dexterity FTI"
        name="ploneintranet.conference.talk"
        i18n:domain="ploneintranet"
>

  <!-- Basic information -->
  <property name="title"
            i18n:translate=""
  >Talk</property>
  <property name="description"
            i18n:translate=""
  >A conference talk</property>
  <property name="icon_expr" />
  <property name="global_allow">True</property>
  <property name="allow_discussion">False</property>
  <property name="filter_content_types">True</property>
  <property name="allowed_content_types" />
  <property name="klass">ploneintranet.conference.content.talk.Talk</property>
  <property name="add_permission">cmf.AddPortalContent</property>
  <property name="schema">ploneintranet.conference.content.talk.ITalk</property>
  <property name="model_source" />
  <property name="model_file" />

  <!-- List of enabled behaviors -->
  <property name="behaviors">
    <element value="plone.basic" />
    <element value="plone.eventattendees" />
    <element value="plone.namefromtitle" />
    <element value="plone.relateditems" />
  </property>

  <!-- View information -->
  <property name="default_view">view</property>
  <property name="default_view_fallback">False</property>
  <property name="view_methods">
    <element value="view" />
  </property>

  <!-- Method aliases -->
  <alias from="(Default)"
         to="(selected layout)"
  />
  <alias from="edit"
         to="@@edit"
  />
  <alias from="sharing"
         to="@@sharing"
  />
  <alias from="view"
         to="@@view"
  />

  <!-- Actions -->
  <action action_id="view"
          category="object"
          condition_expr=""
          title="View"
          url_expr="string:${object_url}"
          visible="True"
  >
    <permission value="View" />
  </action>
  <action action_id="edit"
          category="object"
          condition_expr=""
          title="Edit"
          url_expr="string:${object_url}/edit"
          visible="True"
  >
    <permission value="Modify portal content" />
  </action>
</object>
